From 60edfeebcf574e74745a2d6ffd67fa9b0d754950 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Dec 04 2023 21:19:10 +0000
Subject: [PATCH 3/19] [iceweasel]: the usual housekeeping and arch-specific tweaks


---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 9c50605..12f8cd9 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -78,9 +78,7 @@ _brandingrel=1
 pkgdesc="Standalone web browser derived from Mozilla Firefox"
 url=https://wiki.parabola.nu/Iceweasel
 arch=(x86_64)
-arch+=(
-  armv7h
-  i686)
+arch+=(armv7h i686)
 license=(
   GPL
   LGPL
@@ -182,13 +180,11 @@ validpgpkeys+=(
   'BFA8008A8265677063B11BF47171986E4B745536' # Andreas Grapentin
   '3954A7AB837D0EA9CFA9798925DB7D9B5A8D4B40' # bill-auger
 )
-
-
 sha256sums=('e710058701074eda53ca9f5fd52c57254858a027984f735bdcd58d6906f6b574'
             'SKIP'
             '9cdc2602661717712092d28bb494e5b48e518cb930898aca85eaf21f91f7ef58') # $pkgname.desktop
                                                                                 # identity-icons-brand.svg
-sha256sums+=('3fc4fcc7f471a831b2e00e3b8698b382fd6d0d0cbfc55b20ff73364be2ee5b96'  # *.branding.tar.xz
+sha256sums+=('a5eed3c1f31a253f90b0284e0caf17bd35b3fa35197cfc403cb1bd987ecd56eb'  # *.branding.tar.xz
              'SKIP'
              '4ff07eff69343e50357c9bb571dfa6a702efb3a7915ce8ca8dcb42ee18446aac'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
              '77ce3e4de9b4bb280a6766cea61b0fbd81f0f946aa115bfe7bf24eca370e1d17'  # 9002-FSDG-preference-defaults.patch
@@ -206,7 +202,7 @@ b2sums=('06f11d9d6f705c13c3288f1757d68c7c910e258b3efa643f0f0168fba0d585f758082af
         'SKIP'
         'f86353bbba05d8994db34c6abb66094aa61d2c37c8599930dbe9d215413f0f718a1ce55a8f2d07a65074c3947e28fc80d44c925bd9be239a870f82d2a1803635') # $pkgname.desktop
                                                                                                                                             # identity-icons-brand.svg
-b2sums+=('026f09cddb198badbf6ae67dda21ac9f99cfa80cfa490732b7b3c52eb43cfc83c3ae163506bdad657beaa368c3eba17dd154fdb1c8c40ab2d4f7934004982aa8'  # *.branding.tar.xz
+b2sums+=('d6ccdc46fce7cfc4bb35a6b09deee8cd96b9076c599c1f031b4d2c5a9c2722bdf98dd14eddde50422e9a1b88f24d425c8a5f1e861877a367c6ff5365e61258c0'  # *.branding.tar.xz
          'SKIP'
          '9834f69d69f9ce3cee872a7e75b6848d5539b94752aa50c74612177a740319a33b02734f1d2cdde31ee50efa7a3ed85cf85efb7e6687cfe6ab7be843b4089e7b'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
          '702f3179595ce27660e9761811369158a8102c94e77ccb28d3a58026641b055e53f9ec45a1272346eada54021d02956360e1267728fbec201c50fee42c7d677f'  # 9002-FSDG-preference-defaults.patch
@@ -834,8 +830,8 @@ END
 }
 
 package() {
-  export MOZBUILD_STATE_PATH="$srcdir/mozbuild"         # needed for `libremakepkg -R`
-  export MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=system # needed for `libremakepkg -R`
+  export MOZBUILD_STATE_PATH="$srcdir/mozbuild"         # needed for `{libre,}makepkg -R`
+  export MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=system # needed for `{libre,}makepkg -R`
 
   cd firefox-$pkgver
   DESTDIR="$pkgdir" ./mach install

